RCSID $Id: net.ipv4.af_inet.c,v 1.3 1999/09/17 18:00:49 rgb Exp $
--- ./net/ipv4/af_inet.c.preipsec	Mon Aug  9 15:05:13 1999
+++ ./net/ipv4/af_inet.c	Fri Sep 17 10:13:07 1999
@@ -115,6 +115,9 @@
 #ifdef CONFIG_NET_RADIO
 #include <linux/wireless.h>
 #endif	/* CONFIG_NET_RADIO */
+#ifdef CONFIG_IPSEC
+#include <../net/ipsec/ipsec_tunnel.h>
+#endif /* CONFIG_IPSEC */
 
 #define min(a,b)	((a)<(b)?(a):(b))
 
@@ -1140,6 +1143,14 @@
 	ip_mr_init();
 #endif
 
+#if defined(CONFIG_IPSEC)
+	/*
+	 *  Initialise AF_INET ESP and AH protocol support including 
+	 *  e-routing and SA tables
+	 */
+	ipsec_init();
+#endif /* CONFIG_IPSEC */
+
 #ifdef CONFIG_INET_RARP
 	rarp_ioctl_hook = rarp_ioctl;
 #endif
@@ -1157,5 +1168,18 @@
 	proc_net_register(&proc_net_sockstat);
 	proc_net_register(&proc_net_tcp);
 	proc_net_register(&proc_net_udp);
+
+#if defined(CONFIG_IPSEC)
+	proc_net_register(&ipsec_eroute);
+	proc_net_register(&ipsec_spi);
+	proc_net_register(&ipsec_spigrp);
+	proc_net_register(&ipsec_tncfg);
+	proc_net_register(&ipsec_spinew);
+	proc_net_register(&ipsec_version);
+#ifdef DEBUG_IPSEC
+	proc_net_register(&ipsec_klipsdebug);
+#endif /* DEBUG_IPSEC */
+#endif /* CONFIG_IPSEC */
+
 #endif		/* CONFIG_PROC_FS */
 }
