RCSID $Id: net.ipv4.protocol.c,v 1.2 1999/09/17 17:54:45 rgb Exp $
--- ./net/ipv4/protocol.c.preipsec	Sun Nov 30 17:00:39 1997
+++ ./net/ipv4/protocol.c	Sat Aug 28 02:24:59 1999
@@ -44,6 +44,16 @@
 #include <net/udp.h>
 #include <net/ipip.h>
 #include <linux/igmp.h>
+#ifdef CONFIG_IPSEC
+# include <../net/ipsec/ipsec_rcv.h>
+#ifdef CONFIG_IPSEC_AH_
+# include <../net/ipsec/ipsec_ah.h>
+#endif /* CONFIG_IPSEC_AH */
+#ifdef CONFIG_IPSEC_ESP_
+# include <../net/ipsec/ipsec_esp.h>
+#endif /* CONFIG_IPSEC_ESP */
+#endif /* CONFIG_IPSEC */
+
 
 #define IPPROTO_PREVIOUS NULL
 
@@ -64,6 +74,48 @@
 #define IPPROTO_PREVIOUS &igmp_protocol
 
 #endif
+
+#ifdef CONFIG_IPSEC
+
+#ifdef CONFIG_IPSEC_ESP
+struct inet_protocol esp_protocol = {
+	ipsec_rcv,		/* ESP handler          */
+#if 0
+	NULL,			/* Will be UDP fraglist handler */
+#endif
+	NULL,			/* TUNNEL error control */
+	IPPROTO_PREVIOUS,
+	IPPROTO_ESP,		/* protocol ID */
+	0,			/* copy */
+	NULL,			/* data */
+	"ESP"			/* name */
+ };
+
+#undef  IPPROTO_PREVIOUS
+#define IPPROTO_PREVIOUS &esp_protocol
+
+#endif /* CONFIG_IPSEC_ESP */
+ 
+#ifdef CONFIG_IPSEC_AH
+struct inet_protocol ah_protocol = {
+	ipsec_rcv,		/* AH handler */
+#if 0
+	NULL,			/* Will be UDP fraglist handler */
+#endif
+	NULL,			/* TUNNEL error control */
+	IPPROTO_PREVIOUS,
+	IPPROTO_AH,		/* protocol ID */
+	0,			/* copy */
+	NULL,			/* data */
+	"AH"			/* name */
+ };
+
+#undef  IPPROTO_PREVIOUS
+#define IPPROTO_PREVIOUS &ah_protocol
+
+#endif /* CONFIG_IPSEC_AH */
+
+#endif /* CONFIG_IPSEC */
 
 static struct inet_protocol tcp_protocol = 
 {
