RCSID $Id: net.ipv4.af_inet.c,v 1.1 1999/09/24 00:41:16 rgb Exp $
--- ./net/ipv4/af_inet.c.preipsec	Wed Sep  8 14:14:32 1999
+++ ./net/ipv4/af_inet.c	Thu Sep 23 18:07:26 1999
@@ -112,6 +112,9 @@
 #ifdef CONFIG_NET_RADIO
 #include <linux/wireless.h>
 #endif	/* CONFIG_NET_RADIO */
+#ifdef CONFIG_IPSEC
+#include <../net/ipsec/ipsec_tunnel.h>
+#endif /* CONFIG_IPSEC */
 
 #define min(a,b)	((a)<(b)?(a):(b))
 
@@ -1068,6 +1071,14 @@
 	ip_mr_init();
 #endif
 
+#if defined(CONFIG_IPSEC)
+	/*
+	 *  Initialise AF_INET ESP and AH protocol support including 
+	 *  e-routing and SA tables
+	 */
+	ipsec_init();
+#endif /* CONFIG_IPSEC */
+
 	/*
 	 *	Create all the /proc entries.
 	 */
@@ -1079,5 +1090,18 @@
 	proc_net_register(&proc_net_sockstat);
 	proc_net_register(&proc_net_tcp);
 	proc_net_register(&proc_net_udp);
+
+#if defined(CONFIG_IPSEC)
+	proc_net_register(&ipsec_eroute);
+	proc_net_register(&ipsec_spi);
+	proc_net_register(&ipsec_spigrp);
+	proc_net_register(&ipsec_tncfg);
+	proc_net_register(&ipsec_spinew);
+	proc_net_register(&ipsec_version);
+#ifdef DEBUG_IPSEC
+	proc_net_register(&ipsec_klipsdebug);
+#endif /* DEBUG_IPSEC */
+#endif /* CONFIG_IPSEC */
+
 #endif		/* CONFIG_PROC_FS */
 }
